{
	code: "spearhead",
	variantgroups: [
		{ code: "material", states: ["chert", "granite", "andesite", "basalt", "obsidian", "peridotite", "flint", "copper", "tinbronze", "bismuthbronze", "blackbronze", "iron", "meteoriciron", "steel"] },
	],
	behaviorsByType: {
		"*-iron": [
			{ name: "Quenchable", properties: { metalVariantgroupCode: "material" } },
			{ name: "GroundStorable", properties: { layout: 'Quadrants', collisionBox: { x1: 0, y1: 0, z1: 0, x2: 1, y2: 0.125, z2: 1 } } }
		],
		"*-meteoriciron": [
			{ name: "Quenchable", properties: { metalVariantgroupCode: "material" } },
			{ name: "GroundStorable", properties: { layout: 'Quadrants', collisionBox: { x1: 0, y1: 0, z1: 0, x2: 1, y2: 0.125, z2: 1 } } }
		],
		"*-steel": [
			{ name: "Quenchable", properties: { metalVariantgroupCode: "material" } },
			{ name: "GroundStorable", properties: { layout: 'Quadrants', collisionBox: { x1: 0, y1: 0, z1: 0, x2: 1, y2: 0.125, z2: 1 } } }		
		],
		"*": [
			{ name: "GroundStorable", properties: { layout: 'Quadrants', collisionBox: { x1: 0, y1: 0, z1: 0, x2: 1, y2: 0.125, z2: 1 } } }		
		]
	},
	heldTpUseAnimation: "interactstatic", maxstacksize: 4,
	shapeByType: {
		"@spearhead-(copper|tinbronze|bismuthbronze|blackbronze|iron|meteoriciron|steel)": { base: "item/tool/spear/metal-{material}" },
		"*": { base: "item/tool/spear/stone" }
	},
	texturesByType: {
		"*-flint": {
			"stone": { base: "block/stone/flint" },
			"string": { base: "block/transparent" },
			"handle": { base: "block/transparent" }
		},
		"@spearhead-(copper|tinbronze|bismuthbronze|blackbronze|iron|meteoriciron|steel)": {
			"ingot": { base: "block/metal/ingot/{material}" },
			"string": { base: "block/transparent" },
			"handle": { base: "block/transparent" }
		},
		"*": {
			"stone": { base: "block/stone/rock/{material}1" },
			"string": { base: "block/transparent" },
			"handle": { base: "block/transparent" }
		}
	},
	attributes: {
		inForgeTransform: {
			translation: { x: -0.85, y: 0.01, z: 0.23 },
			rotation: { x: 94, y: -1, z: -93 },
			origin: { x: 1.3, y: 0, z: 0.5 },
			scale: 0.9
		},
		forgableByType: {
			"@spearhead-(copper|tinbronze|bismuthbronze|blackbronze|gold|silver|iron|meteoriciron|steel)": true,
			"*": false
		},
		onTongTransform: {
			translation: { x: -1.06, y: -0.26, z: -1.3 },
			rotation: { x: 23, y: 94, z: 22 }
		},
		onMetalTongTransform: {
			translation: { x: -1.84, y: -0.12, z: -0.7 },
			rotation: { x: 90, y: 4, z: 90 },
			origin: { x: 1.3, y: -0, z: 0.5 }
		},
		groundStorageTransformByType: {
			"*-copper": {
				translation: { x: -0.9, y: 0.01, z: 0 },
				rotation: { x: 90, y: 0, z: -34 },
				origin: { x: 1.4, y: -0, z: 0.5 }
			},
			"@*-(tinbronze|bismuthbronze)": {
				translation: { x: -0.9, y: 0.04, z: 0 },
				rotation: { x: 90, y: -8, z: -37 },
				origin: { x: 1.4, y: 0, z: 0.5 }
			},
			"@*-(blackbronze|gold|silver|iron|meteoriciron|steel)": {
				translation: { x: -0.9, y: 0.05, z: 0 },
				rotation: { x: 93, y: -8, z: -37 },
				origin: { x: 1.4, y: 0, z: 0.5 }
			},
			"*": {
				translation: { x: -0.81, y: 0, z: -0.07 },
				rotation: { x: 0, y: 43, z: -11 },
				origin: { x: 1.4, y: 0.5, z: 0.5 }
			}
		},
		handbook: {
			groupBy: ["spearhead-*"]
		},
        displayable: {
            shelf: {
                size: { width: 8, height: 3, length: 2 }
            }
        }
	},
	creativeinventory: { "general": ["*"], "items": ["*"] },
	guiTransformByType: {
		"@*-(copper|tinbronze|bismuthbronze)": {
			rotation: { x: 2, y: 13, z: -134 },
			origin: { x: 1.38, y: 0.04, z: 0.6 },
			scale: 2.22
		},
		"@*-(blackbronze|iron|meteoriciron|steel)": {
			rotation: { x: -180, y: -32, z: 137 },
			origin: { x: 1.45, y: 0.04, z: 0.5 },
			scale: 2.33
		},
		"*": {
			rotation: { x: -66, y: -58, z: -180 },
			origin: { x: 1.43, y: 0.04, z: 0.5 },
			scale: 3.09
		},
	},
	tpHandTransformByType: {
		"@*-(copper|tinbronze|bismuthbronze|blackbronze|iron|meteoriciron|steel)": {
			translation: { x: 0, y: 0.04, z: -0.4 },
			rotation: { x: -11, y: -17, z: -2 },
			origin: { x: 0.5, y: 0, z: 0.5 },
			scale: 0.82
		},
		"*": {
			translation: { x: -1.5, y: 0, z: -0.6 },
			rotation: { x: -51, y: -22, z: -22 },
			origin: { x: 1.25, y: 0, z: 0.5 },
			scale: 0.82
		}
	},
	groundTransformByType: {
		"@*-(copper|tinbronze|bismuthbronze|blackbronze|iron|meteoriciron|steel)": {
			translation: { x: 0, y: 0, z: 0 },
			rotation: { x: 90, y: -5, z: 0 },
			origin: { x: 1.3, y: 0.05, z: 0.52 },
			scale: 4.63
		},
		"*": {
			translation: { x: 0, y: 0.03, z: 0 },
			rotation: { x: 121, y: 0, z: 0 },
			origin: { x: 1.3, y: 0.1, z: 0.5 },
			scale: 3.56
		}
	}
}
